package geniusweb.actions;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * The party that sends this action indicates that it's finished with the learning.
 * 
 */
public class LearningDone extends AbstractAction { 
	@JsonCreator
	public LearningDone(@JsonProperty("actor") PartyId id) {
		super(id);
	}

	@Override
	public String toString() {
		return "LearningDone[" + getActor() + "]";
	}
}
